/*
 * lpc2220_ram.ld - linker script for the lpc2220 device (->ram)
 *
 * author: hackbard@hackdaworld.org
 *
 */

SECTIONS {
	. = 0x40000200;
	.text . : {
		startup.o(.text)	/* startup code */
		*(.text)		/* all remaining code */
		*(.glue_7)		/* glue code */
		*(.glue_7t)		/* glue code */
	}

	. = ALIGN(4);

	.rodata : { *(.rodata) }	/* read only data */

	. = ALIGN(4);

	/* define end of text symbol */
	_etext = .;

	.data : {			/* initialized data */
		_data = .;
		*(.data)
		_edata = .;
	}

	. = ALIGN(4);

	.bss : { *(.bss) }		/* uninitialized data */
}

